com.holonplatform.vaadin.flow.components.builders

## Interface ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    ComponentConfigurator<ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, DeferrableLocalizationConfigurator<ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasDeferrableLocalization, HasElementConfigurator<ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasEnabledConfigurator<ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasItemCaptionConfigurator<com.holonplatform.core.property.PropertyBox,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasItemEnableConfigurator<com.holonplatform.core.property.PropertyBox,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasPropertyBoxDatastoreDataProviderConfigurator<ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasSizeConfigurator<ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, HasStyleConfigurator<ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, InputBuilder<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,MultiSelect<T>,ValidatableMultiSelect<T>,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>,ListMultiSelectConfigurator.ValidatablePropertyListMultiSelectInputBuilder<T>>, InputConfigurator<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, ItemSetConfigurator<ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, ListMultiSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, ListMultiSelectConfigurator.PropertyListMultiSelectInputConfigurator<T,ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, MultiSelectableInputConfigurator<T,com.holonplatform.core.property.PropertyBox,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, PropertySelectInputConfigurator<Set<T>,T,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, SelectableInputConfigurator<Set<T>,T,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>
  Enclosing interface:
    ListMultiSelectConfigurator<T,ITEM,B extends ListMultiSelectConfigurator<T,ITEM,B>>

      public static interface ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>
      extends ListMultiSelectConfigurator.PropertyListMultiSelectInputConfigurator<T,ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>>, InputBuilder<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,MultiSelect<T>,ValidatableMultiSelect<T>,ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>,ListMultiSelectConfigurator.ValidatablePropertyListMultiSelectInputBuilder<T>>

  `Property` model based list `MultiSelect` input builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ListMultiSelectConfigurator

      `ListMultiSelectConfigurator.DatastoreListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.DatastoreListMultiSelectInputConfigurator<T,ITEM,C extends ListMultiSelectConfigurator.DatastoreListMultiSelectInputConfigurator<T,ITEM,C>>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputConfigurator<T,C extends ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputConfigurator<T,C>>, ListMultiSelectConfigurator.ListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ListMultiSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends ListMultiSelectConfigurator.ListMultiSelectInputConfigurator<T,ITEM,D,C>>, ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.PropertyListMultiSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends ListMultiSelectConfigurator.PropertyListMultiSelectInputConfigurator<T,D,C>>, ListMultiSelectConfigurator.ValidatableDatastoreListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ValidatableDatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.ValidatableListMultiSelectInputBuilder<T,ITEM>, ListMultiSelectConfigurator.ValidatablePropertyListMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ListMultiSelectConfigurator.PropertyListMultiSelectInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ListMultiSelectConfigurator

      `create, create, create, create, renderer, withComponentAfter, withComponentBefore, withPrefixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.MultiSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPropertyBoxDatastoreDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDataProviderConfigurator

      `addItem, dataSource, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertySelectInputConfigurator

      `itemCaptionProperty`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

Copyright © 2020 The Holon Platform. All rights reserved.